container.h File Reference
`#include "osl/basic_type.h"`
`#include "osl/config.h"`
`#include "osl/bits/construct.h"`
`#include <algorithm>`
`#include <cstddef>`
`#include <cassert>`
`#include <array>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

class | osl::CArray< T, Capacity >
class | osl::detail::FixedCapacityVectorPushBack< T >
class | osl::FixedCapacityVector< T, Capacity >
struct | osl::FixedCapacityVector< T, Capacity >::Array
class | osl::MoveVector
class | osl::CheckMoveVector
class | osl::PieceVector
class | osl::PtypeOSquareVector
class | osl::FixedCapacityVectorPushBack< T >

## Namespaces

namespace | osl
namespace | osl::detail

## Macros

#define | CONSERVATIVE_PLAYER_ACCESS

## Typedefs

template<typename T, size_t Capacity1, size_t Capacity2>
using | osl::CArray2d = CArray<CArray<T,Capacity2>,Capacity1>
template<typename T, size_t Capacity1, size_t Capacity2, size_t Capacity3>
using | osl::CArray3d = CArray<CArray2d<T,Capacity2,Capacity3>,Capacity1>

## Enumerations

enum | { osl::CheckOrEscapeMaxUniqMoves = Move::MaxUniqMoves/4 }

## Functions

template<typename T, size_t C>
bool | osl::operator== (const FixedCapacityVector< T, C > &l, const FixedCapacityVector< T, C > &r)
template<typename T, size_t C>
bool | osl::operator< (const FixedCapacityVector< T, C > &l, const FixedCapacityVector< T, C > &r)
std::ostream & | osl::operator<< (std::ostream &os, MoveVector const &mv)
bool | osl::operator< (const MoveVector &l, const MoveVector &r)
std::ostream & | osl::operator<< (std::ostream &os, const PieceVector &)

## Macro Definition Documentation

## CONSERVATIVE_PLAYER_ACCESS

#define CONSERVATIVE_PLAYER_ACCESS

Definition at line 14 of file container.h.